apiVersion: apps/v1
kind: Deployment
metadata:
  name: mail
spec:
  replicas: 1
  selector:
    matchLabels:
      app: mail
  template:
    metadata:
      labels:
        app: mail
    spec:
      nodeSelector:
        kubernetes.io/arch: "amd64"
      containers:
        - name: mail
          image: bytemark/smtp
          ports:
            - containerPort: 25